// EDIT.H
// ᠭ ⠭  ᮢ

class TMenuBar;
class TStatusLine;
class TEditWindow;
class TDialog;

const cmOpen= 100, cmNew= 101, cmAbout=102;

class TEditorApp : public TApplication {
 public:
  TEditorApp();
  virtual void handleEvent( TEvent& event );
  static TMenuBar *initMenuBar( TRect );
  static TStatusLine *initStatusLine( TRect );
  virtual void outOfMemory();
 private:
  TEditWindow *openEditor( const char *fileName, Boolean visible );
  void fileOpen();
  void fileNew();
  void changeDir();
  void dosShell();
  void showClip();
  void tile();
  void cascade();
  void About();
};

extern TEditWindow *clipWindow;
ushort execDialog( TDialog *d, void *data );
TDialog *createFindDialog();
TDialog *createReplaceDialog();
ushort doEditDialog( int dialog, ... );
